Subject: Re: [PATCH v7 11/12] for-each-ref: introduce filter_refs()

From: Karthik Nayak <[email-masked]>
Date: Thu, 11 Jun 2015 22:47:02 +0530

On 06/11/2015 10:30 PM, Matthieu Moy wrote:
>
> I think it is more common to have options at the end, so I'd write it as
>
> filter_refs(&array, &filter, FILTER_REFS_ALL | FILTER_REFS_INCLUDE_BROKEN);
>
> (changing the declaration too, obviously)
>
> I really like the way cmd_for_each_ref looks like now.
>

Ok! will reply to this mail with a small changed patch!

>
> I thought you would make a helper function that would return a pointer
> to either for_each_rawref or for_each_ref (or another later), but that
> would probably be overkill.
>

Yea that does seem like an overkill!

-- 
Regards,
Karthik